<h1>PENELITIAN PENGARUH MAC ADDRESS COLLISION PADA PERANGKAT YANG DAPAT MERUBAH MAC ADDRESS</h1>

<h3>Gabriel Possenti Kheisa Drianasta<br>
Program Studi Elektronika dan Instrumentasi, DIKE, FMIPA, UGM, Yogyakarta, Indonesia<br>
gabrielkheisa@mail.ugm.ac.id</h3>
<br><br>

<ul>
<li><a href="https://go.gabrielkheisa.xyz/skripsi_final">File - file final Skripsi dan IJEIS</a></li>
<li><a href="https://go.gabrielkheisa.xyz/presentasi_skripsi">Presentasi Skripsi</a></li>
<li><a href="https://go.gabrielkheisa.xyz/skripsi">Draft skripsi</a></li>
<li><a href="https://go.gabrielkheisa.xyz/ijeis">IJEIS</a></li>
<li><a href="https://go.gabrielkheisa.xyz/data_penelitian">Data Penelitian</a></li>
<li><a href="https://repo.gabrielkheisa.xyz/gabrielkheisa/skripsi/src/branch/master/source_nodemcu.cpp">Source code NodeMCU</a></li>
<li><a href="https://go.gabrielkheisa.xyz/dokumentasi_virtualbox">Dokumentasi VirtualBox</a></li>
</ul>

<br><br>

<h2>Abstrak</h2>
<p>MAC address collision merupakan fenomena terjadi ketika dua atau lebih perangkat di suatu jaringan menggunakan MAC address yang sama. Beberapa sistem operasi terbaru, seperti Windows 10 dan Android 6.0, mendukung penggantian MAC address secara acak atau MAC address randomization untuk meningkatkan privasi pengguna dengan menyembunyikan MAC address yang sesungguhnya. Jika dua perangkat di suatu jaringan memiliki MAC address yang sama, maka jaringan tidak dapat membedakannya, dan dapat menyebabkan perselisihan dalam transmisi data.<br><br>
Penelitian pengaruh MAC address collision dilakukan secara langsung pada router fisik dan dilakukan juga pada virtualized environment pada VirtualBox untuk mengetahui dampak apa yang akan terjadi dengan menganalisa variabel – variabel terikat, seperti latency, jumlah hop yang dilalui, dan keberhasilan menerima respon HTTP GET.<br><br>
Hasil penelitian menunjukkan adanya peningkatan rata - rata latency, dari 0,2 milisekon hingga 1,2 milisekon, baik pada lingkungan virtual, maupun fisik, gagalnya konektivitas pada beberapa skenario percobaan, dan didapat respon HTTP GET yang tidak sesuai sebanyak 100% untuk 10 kali percobaan pada lingkungan fisik jika terjadi MAC Address Collision.  <br><br>
Kata kunci— MAC address collision, MAC address randomization, duplicate, latency
<br><br>

</p>
<br><br>
<h2>Abstract</h2>
<p>
 MAC address collision occurs when two or more devices on a network use the same MAC address. Some of the latest operating systems, such as Windows 10 and Android 6.0, support changing the MAC address randomly with a method MAC address randomization to increase user privacy by hiding the real MAC address. If two devices on a network have the same MAC address, the network cannot tell the difference, and can cause disputes in data transmission.<br><br>
Research on the influence of MAC address collisions was carried out directly on a physical router and carried out in a virtualized environment on VirtualBox to find out what impact would occur by analyzing dependent variables, such as latency, number of hops traversed, and success in receiving an HTTP GET response.<br><br>
The results of the study showed an increase in the average latency, from 0.2 milliseconds to 1.2 milliseconds, both in virtual and physical environments. The connectivity also failed in some experimental scenarios, and HTTP GET responses were not received correctly with a failure rate of invalid responses 100% for 10 times of attempts in physical environments if a MAC Address Collision occurred.<br><br>

Keywords— MAC address collision, MAC address randomization, duplicate, latency
<br><br>

</p>